Subject: Re: [PATCH] diff: tighten interaction between -w and --exit-code

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Aug 2023 12:56:23 -0700

Jeff King <[email-masked]> writes:

> Yeah, without having really dug into the problem too far, that does
> sound a lot better. I also wonder to what degree you could apply the
> same strategy to other formats (I guess it depends on them removing
> whitespace-only changes from a structure). From the test I posted
> earlier, it does look like many of them have the same blind spots for
> mode-only changes (and I suspect addition/removal of empty files is
> another corner case to check).

I have something cooking.  Stay tuned, without getting excited too
much ;-)

Thanks.